import request from '@/utils/request'

// 查询报警事件列表
export function listAlarm(query) {
  return request({
    url: '/algorithms/alarm/list',
    method: 'get',
    params: query
  })
}

// 查询报警事件详细
export function getAlarm(emergencyEventId) {
  return request({
    url: '/algorithms/alarm/' + emergencyEventId,
    method: 'get'
  })
}

// 新增报警事件
export function addAlarm(data) {
  return request({
    url: '/algorithms/alarm',
    method: 'post',
    data: data
  })
}

// 修改报警事件
export function updateAlarm(data) {
  return request({
    url: '/algorithms/alarm',
    method: 'put',
    data: data
  })
}

// 删除报警事件
export function delAlarm(emergencyEventId) {
  return request({
    url: '/algorithms/alarm/' + emergencyEventId,
    method: 'delete'
  })
}
